A server modification for the TotalFreedom server.
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
Ryan ebafc1c669
Hopefully fixing it this time (#119)
4 weeks ago
.github Hopefully fixing it this time (#119) 4 weeks ago
src/main 2022.02-RELEASE Versioning 5 months ago
.gitignore Added .idea in gitignore 2 years ago
CONTRIBUTING.md Fix checkstyle & other formatting 2 years ago
LICENSE.md Fix checkstyle & other formatting 2 years ago
README.md Correct JDK Version in README (#92) 1 year ago
SECURITY.md Corrected now that we're targeting the 2022.02 relase. 7 months ago
checkstyle.xml Fix checkstyle & other formatting 2 years ago
nb-configuration.xml Bump to RC02 and fix Netbeans compile issue. 6 months ago
pom.xml Adjusted version 5 months ago
supressions.xml Fix checkstyle & other formatting 2 years ago
travis-upload.sh Fix file permissions 2 years ago

README.md

TotalFreedomMod Maven-Build Codacy Badge CodeQL

TotalFreedomMod is a CraftBukkit server plugin designed primarily to support the Official TotalFreedom Minecraft Server. However, you are more than welcome to adapt the source for your own server.

This plugin was originally coded by StevenLawson (Madgeek1450), with Jerom van der Sar (Prozza) becoming heavily involved in its development some time later. It consists of over 85 custom coded commands and a large variety of distinguishable features not included in any other plugin. The plugin has since its beginning grown immensely. Together, with the main TotalFreedom server, TotalFreedomMod has a long-standing reputation of effectiveness whilst maintaining a clear feeling of openness towards the administrators and the players themselves.

Contributing

Please see CONTRIBUTING.md if you are interested in developing TotalFreedomMod.

For information on how TotalFreedomMod is licensed, please see LICENSE.md.

For information on our security policy and reporting an issue, please see SECURITY.md

Compiling

You need Maven to build. You'd also need to set the JDK version to Java 11 as that is the current standard as of now.